NFSCBD(8)

NAME
nfscbd - NFSv4 client side callback daemon

SYNOPSIS
nfscbd [-p port_number] [-P client_principal]

DESCRIPTION
nfscbd runs on a client using NFSv4 to handle callback requests from the NFSv4 server. If no nfscbd is running, NFSv4 mounts will still work, but the server will never issue Open Delegations to the client.

One callback server and one master server are always started.

The following options are available:

-p port_number
    Specifies what port# the callback server should use.

-P client_principal
    Specifies the host based principal name to be used as the target for callbacks over RPCSEC_GSS. For KerberosV, it must be in the client's default keytab file. This client_principal should be the same one specified by the gssname argument being used by nfsv4 mounts. If you do not specify this argument, callbacks will still work over AUTH_SYS, which is what many extant servers use even for RPCSEC_GSS mounts, as of 2009.

For example, “nfscbd -p 7654 -P root” starts the daemon to handle callbacks on port# 7654 and is using the host based principal root@<client-host>.<dns-domain> as the callback target.

nfscbd listens for service requests at the port defined by NFSV4_CBPORT in /usr/include/fs/nfs/nfs.h, unless -p has been specified. For more information on what callbacks and Open Delegations do, see RFC3530.

EXIT STATUS

SEE ALSO
nfsv4(4), mount_nfs(8)

HISTORY
First introduced with the experimental nfs client for NFSv4 support in 2009.